# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'birt/core/version'

Gem::Specification.new do |spec|
  spec.name          = "birt-core"
  spec.version       = Birt::Core::VERSION
  spec.authors       = ["Saxer"]
  spec.email         = ["15201280641@qq.com"]

  spec.summary       = %q{birt-core}
  spec.description   = %q{birt report design parser}
  spec.homepage      = "https://github.com/mumaoxi/birt-core"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features|birt)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  end

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency "core_extend", "~> 0.1.5"
  spec.add_runtime_dependency "mysql2","~> 0.3.19"
end
